--
-- file prepared: 8 February 2025 20:13:44.460, using fd705a
--
self_ID = "ju87"
declare_plugin(self_ID,
{
	displayName = _("ju87"),
	developerName = _("Half Science, the 'clay pigeon' series"),  --see artistic credits in the readme.txt

	image = "FC.bmp",
	installed = true,
	dirName = current_mod_path,
	fileMenuName = _("ju87"),

	version = " ",
	state = "installed",
	info = _("The Junkers Ju 87, 'Stuka', is a German dive bomber and ground-attack aircraft. The Ju 87 made its combat debut in 1937 with the Luftwaffe's during the Spanish Civil War. The Ju 87 operated with considerable success in close air support and anti-shipping roles at the outbreak of World War II. It led air assaults during the Invasion of Poland in September 1939. Stukas proved critical to the rapid conquest of Norway, the Netherlands, Belgium, and France in 1940. Though sturdy, accurate, and very effective against ground targets, the Stuka was, like many other dive bombers of the period, vulnerable to fighter aircraft. During the Battle of Britain of 1940–1941, its lack of manoeuvrability, speed, or defensive armament meant that it required a heavy fighter escort to operate effectively. After the Battle of Britain, the Luftwaffe deployed Stuka units in the Balkans Campaign, the African and the Mediterranean theatres and in the early stages of the Eastern Front war, where it was used for general ground support, s an effective specialised anti-tank aircraft and in an anti-shipping role. Once the Luftwaffe lost air superiority, the Stuka became an easy target for enemy fighters, but it continued being produced until 1944 for lack of a better replacement. By 1945 ground-attack versions of the Focke-Wulf Fw 190 had largely replaced the Ju 87, but it remained in service until the end of the war in 1945. Germany built an estimated 6,000 Ju 87s of all versions between 1936 and August 1944. (source: https://en.wikipedia.org/wiki/Junkers_Ju_87) "),

	update_id = "ju87",

	Skins =
	{
		{
			name = _("ju87"),
			dir = "Theme"
		},
	},
	Missions =
	{
		{
			name = _("ju87"),
			dir = "Missions",
		},
	},
	LogBook =
	{
		{
			name = _("ju87"),
			type = "ju87",
		},
	},
	InputProfiles =
	{
		["ju87"] = current_mod_path .. '/Input/ju87',
	},
})
----------------------------------------------------------------------------------------
mount_vfs_texture_path(current_mod_path.."/Textures")
mount_vfs_model_path(current_mod_path.."/Shapes")
dofile(current_mod_path.."/Views.lua")
dofile(current_mod_path.."/weapons.lua")
make_view_settings('ju87', ViewSettings, SnapViews)
make_flyable('ju87', current_mod_path..'/Cockpit/Scripts/', { nil, old = 54 }, current_mod_path..'/comm.lua')
dofile(current_mod_path..'/ju87.lua')
------------------------------------------------------------------------------------ -
plugin_done()

